Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction
Class TransactionRolledbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      javax.transaction.TransactionRolledbackException

All Implemented Interfaces:
  Serializable

public class TransactionRolledbackException
extends RemoteException

This exception indicates that the transaction context carried in the remote invocation has been rolled back, or was marked for roll back only. This indicates to the client that further computation on behalf of this transaction would be fruitless.

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`TransactionRolledbackException()` Creates a new `TransactionRolledbackException` without a detail message.
`TransactionRolledbackException(String msg)` Constructs an `TransactionRolledbackException` with the specified detail message.

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionRolledbackException

    public TransactionRolledbackException()

  Creates a new `TransactionRolledbackException` without a detail message.

### TransactionRolledbackException

    public TransactionRolledbackException(String msg)

  Constructs an `TransactionRolledbackException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.